%global dlrn_nvr ansible-collections-openstack.cloud-1.4.1.dev29-2.20210608074808.4a1b092
%global dlrn 1
%define upstream_version 1.4.1.dev29
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif

%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%if 0%{?dlrn}
%define upstream_name ansible-collections-openstack.cloud
%else
%define upstream_name ansible-collections-openstack
%endif

Name:           ansible-collections-openstack
Version: 1.4.1
Release: 2.20210608074808.4a1b092%{?dist}.1
Summary:        Openstack Ansible collections
License:        GPLv3+
URL:            https://opendev.org/openstack/ansible-collections-openstack
Source0: ansible-collections-openstack.cloud-1.4.1.dev29-2.20210608074808.4a1b092.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=4a1b092efb91d4d82233b1b52b0c54df6a5fa239

BuildArch:      noarch

BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr

Requires:       ansible >= 2.8.0
Requires:       python%{pyver}-openstacksdk >= 0.12.0

%description
Openstack Ansible collections

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -S git

%build
%{pyver_build}

%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{pyver_install}

%files

%doc README.md
%license COPYING
%{pyver_sitelib}/ansible_collections_openstack.cloud-*.egg-info
%{_datadir}/ansible/collections/ansible_collections/openstack/cloud/

%changelog
* Mon Jun 14 2021 CPaaS User <cpaas-ops@redhat.com> - 1.4.1-2.20210608074808.4a1b092.1
- Bump release

* Tue Jun 08 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-2.20210608074808.4a1b092
- Update patches
- Update checks for validate_certs in openstack_cloud_from_module
- Fix host_aggregate to tolerate aggregate.hosts being None
- Fail if referenced source image for a new volume does not exist

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-2.20210527220848.d4033b4
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-2.20210527074823.d4033b4
- Update patches
- Remove pip job
- Fix inventory plugin on Ansible 2.11
- Make tripleo master job voting
- Add bindep.txt for ansible-builder

* Wed May 19 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-2.20210519064815.6b3bf3b
- Update patches
- Add support to setting image tags

* Thu May 13 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-2.20210513044809.daaa6bf
- Update patches
- Switch project and project_info module to OpenStackModule

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-2.20210512064810.2027eb1
- Update patches
- Add non-voting train TripleO jobs
- Configure only one tripleo job

* Fri May 07 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-2.20210507064809.a10be98
- Update patches
- Add TripleO job on collections used in TripleO

* Wed May 05 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-2.20210505054802.6787924
- Update patches
- Fix the idempotent of compute_flavor module

* Fri Apr 30 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-2.20210430064805.d1d6b4d
- Update patches
- Remove CI jobs for rocky and stein branches from check
- setup.cfg: Replace dashes with underscores
- Migrating image module from AnsibleModule to OpenStackModule

* Wed Apr 21 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-.20210421074906.8da4e85
- Update patches
- Add wallaby job to CI

* Fri Apr 09 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.0-1
- Update patches
- Bump to dev version
- Release 1.4.0 version
- Container module for management Swift containers
- Prepare for Ansible 2.11 tests

* Thu Apr 08 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add execution environment metadata
- Fix issues with newest ansible-test 2.11

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix CI for latest ansible-test with no_log

* Sat Mar 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- security_group_rule: add support ipv6-icmp

* Wed Mar 03 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add binding profile to port module

* Tue Feb 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- add option to exclude legacy groups

* Mon Feb 22 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Mark 2.9 ansible-test sanity as non-voting"
- Add Octavia job for testing Load Balancer

* Thu Feb 18 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump dev version in galaxy.yml

* Sun Feb 07 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add modules for roles information
- Add security_group_info module

* Fri Jan 29 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add security_group_rule_info module

* Thu Jan 28 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- New keypair_info module
- Fix setting custom property on os_project
- Fixed check for None in os_port

* Sat Jan 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add stack_info module

* Fri Jan 22 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove protocols choice in security rules

* Sat Jan 16 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix volume_info result for SDK < 0.19

* Wed Jan 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Jan 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Added shelve and unshelve as new server actions
- Update recordset docu

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for new features

* Mon Jan 04 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sun Jan 03 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add dev tag for collection install
- Release 1.2.1 version of Openstack Ansible modules
- Decrease MTU in networks tests

* Wed Dec 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Dec 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Enable update for recordset and add tests for dns and recordset module

* Tue Dec 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Dec 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Migrating subnet module from AnsibleModule to OpenStackModule
- Аdd designate to install with devstack
- Add network tests for versioned args
- Separate volume tests from servers tests
- Run images tests
- Migrating network from AnsibleModule to OpenStackModule
- Migrating dns_zone from AnsibleModule to OpenStackModule
- Migrating server_volume from AnsibleModule to OpenStackModule
- Migrating routers from AnsibleModule to OpenStackModule
- Migrating security_group from AnsibleModule to OpenStackModule
- Fix branchful jobs for collections
- Fix docs-args mismatch in modules
- Migrating volume from AnsibleModule to OpenStackModule
- Improve "server" module with OpenstackModule class

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Dec 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Migrating subnets_info from AnsibleModule to OpenStackModule
- Migrating networks_info from AnsibleModule to OpenStackModule

* Tue Dec 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Refactor TCP/UDP port check.
- Refactor loadbalancer module

* Fri Nov 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add tests for volume_info module
- Fix subnets update and idempotency
- Fix volume_info arguments for SDK 0.19

* Thu Nov 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix Ansible devel jobs

* Wed Nov 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add victoria stable branch job
- Move CI jobs to base on Ansible 2.10 release

* Tue Nov 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Added deprecated_names for router_info module

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Migrating routers_info from AnsibleModule to OpenStackModule

* Tue Nov 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Do not fail when endpoint state is absent

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Refactor ironic authentication into a new module_utils module

* Sat Oct 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- OpenStackModule: Support defining a minimum version of the SDK

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add galaxy.yml to support install from git

* Wed Oct 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Migrate bifrost jobs to focal

* Wed Oct 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add changelog for 1.2.0

* Thu Oct 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add volume_snapshot_info module
- Add volume_backup_info module
- Add volume_backup module
- Make it possible to create a health monitor to a pool

* Fri Sep 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix linters for new ansible release

* Thu Sep 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


